/*
 *	analy_names.cc
 */

/*	Copyright (C) 1999, 2000 Sebastian Biallas (sb@web-productions.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *   published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "analy_names.h"
#include "htstring.h"
#include "stdio.h"

char *import_func_name(char *dllname, char *funcname, int ordinal)
{
	char res[1024];
	if (funcname) {
		sprintf(res, "%s:%s", dllname, funcname);

	} else {
		sprintf(res, "%s:%04x", dllname, ordinal);
	}
	return strdup(res);
}

char *export_func_name(char *funcname, int ordinal)
{
	char res[1024];
	if (funcname) {
		sprintf(res, "exp_%s_%d", funcname, ordinal);
	} else {
		sprintf(res, "exp_%d", ordinal);
	}
	return strdup(res);
}

bool valid_name(char *str)
{
	return ((str) && (*str));
}

int string_test(char *s, int maxlen)
{
	if (!maxlen) return 0;
	return 0;
}

