/* 
 *	HT Editor
 *	htidle.cc
 *
 *	Copyright (C) 1999,2000 Stefan Weyergraf (stefan@weyergraf.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "htdata.h"
#include "htidle.h"

class ht_idle_obj: public ht_data {
public:
	object *idle_obj;
};

ht_collection idle_objs;

int cur_idle=0;

void register_idle_object(object *o)
{
/*	for (int i=0; i<idle_obj_count; i++) {
		if (!idle_objs[i]) {
			idle_objs[i] = o;
			return;
		}
	}
	idle_objs[idle_obj_count++] = o;*/
	ht_idle_obj *a=new ht_idle_obj();
	a->idle_obj=o;
	idle_objs.insert(a);
}

void unregister_idle_object(object *o)
{
/*	for (int i=0; i<idle_obj_count; i++) if (idle_objs[i]==o) {
		idle_objs[i] = NULL;
	}*/
	int c=idle_objs.count();
	for (int i=0; i<c; i++) if (((ht_idle_obj*)idle_objs.get(i))->idle_obj==o) {
		idle_objs.del(i);
	}
}

void do_idle()
{
/*	for (int i=0; i<idle_obj_count; i++) if (idle_objs[i]) {
		idle_objs[i]->idle();
	}*/
	int c=idle_objs.count();
	if (c) {
		if (cur_idle>=c) cur_idle=0;
		ht_idle_obj *i=(ht_idle_obj*)idle_objs.get(cur_idle);
		assert(i);
		i->idle_obj->idle();
		cur_idle++;
	}
}
