/* 
 *	HT Editor
 *	hthex.cc
 *
 *	Copyright (C) 1999,2000 Stefan Weyergraf (stefan@weyergraf.de)
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 2 as
 *	published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include "hthex.h"
#include "htstream.h"

int hthex_detect(ht_stream *file)
{
	return 1;
}

ht_view *hthex_init(bounds *b, ht_stream *file, ht_group *group)
{
/*     bounds b;
	group->getbounds(&b);*/
	ht_uviewer *v=new ht_uviewer();
	v->init(b, "hex", file, VC_EDIT | VC_GOTO | VC_SEARCH);
//     hts_mask *m=new hts_mask();
//	m->add_mask_table(test_mask_table);
//     v->add(m);
//     v->add(new hts_hex(0x80, 2000));
//     v->add(new hts_unasm(0x1000, 512));
/*     v->add(new hts_text("testtesttesttest2"));
	v->add(new hts_text("testtesttesttest2"));
	v->add(new hts_unasm(0x400, 6));*/
/*     v->add(new hts_text("testtesttesttest2"));
	v->add(new hts_text("testtesttesttest1"));
	v->add(new hts_text("testtesttesttest3"));
	v->add(new hts_text("testtesttesttest3"));*/

/* impl */
	hts_hex *h=new hts_hex();
	h->init(file, 0x0, file->get_size());
	v->insertsub(h);
	return v;
}

viewer_int hthex_int = {
	hthex_detect,
	hthex_init
};
